Reassign Orders to Different Company

Reassigns all orders from a specific B2B Edition Company user to a different Company account. This adds the orders to the Company's Buyer Portal. This **does not** automatically reassign the Company user account to the Company, however. ### Independent vs. Dependent Companies Behavior This request uses the `bcGroupId` field to assign orders by customer group ID instead of the Company ID. As a result, it is only supported if your store uses the legacy Dependent Companies behavior. Do not use this request if your store uses [Independent Companies behavior](https://support.bigcommerce.com/s/article/Companies-and-Customer-Groups). For a successful response, you must include the `bcGroupId` field with a BigCommerce customer group ID value that corresponds to a Company account.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

customerIdintegerRequired
The ID of a BigCommerce customer account with a corresponding Company user account.

Request

bcGroupIdintegerRequired
The unique identifier for the BigCommerce customer group that corresponds to the Company account that you are assigning to the order.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS

Errors

404
Not Found Error